Commit: ingadhoc/stock:63f49889
Subject: [13.0] [IMP] stock_request_ux: Not show the button Replishment when stock request it's intalled.
Author: Nicolás Mac Rouillon
Committer: Nicolás Mac Rouillon
Commit: ingadhoc/odoo-argentina-ee:bea957f6
Subject: [ADD] l10n_ar_edi_ux: CN/DN from customer receipts
Author: Bruno Zanotti (ADHOC)
Committer: Juan José Scarafía
Commit: ingadhoc/odoo-argentina:1aa0efc0
Subject: [IMP] l10n_ar_ux: config inheritance
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/argentina-sale:f89d5027
Subject: [FIX]l10n_ar_sale: origin field removed from sale order report
Author: Pablo Paez
Committer: Juan José Scarafía
Commit: ingadhoc/account-payment:215f0ce0
Subject: [13.0] [IMP] account_payment_group: set the correct partner to payment.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/account-financial-tools:d0369e74
Subject: [IMP] account_ux: remove dependency to account_payment_group
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/miscellaneous:c7762b07
Subject: [13.0] [FIX] portal_backend: Use monkey patch to charge the hack before the update of some modules.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/aeroo_reports:6ce997aa
Subject: Fix bad syntax
Author: Lucas Soto
Committer: Juan José Scarafía
Commit: enterprise:c8ec6d37
Subject: [FIX] pos_blackbox_be: Certification Update.
Author: Robin Heinz
Committer: Robin Heinz
Commit: odoo:5f466fce
Subject: [FIX] mail: tracking_value_ids field group
Author: david
Committer: david
Commit: oca/report-print-send:a2566f99
Subject: base_report_to_printer 13.0.1.2.1
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/stock-logistics-warehouse:ecc8fb66
Subject: [ADD] setup.py
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/stock-logistics-workflow:af03fa46
Subject: Translated using Weblate (Spanish)
Author: Carlos Dauden
Committer: OCA Transbot
Commit: oca/social:9e4cf5bc
Subject: [ADD] setup.py
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/sale-workflow:9a03cd9f
Subject: [ADD] setup.py
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/web:7f83ade7
Subject: Translated using Weblate (Italian)
Author: Alessandro Fiorino
Committer: OCA Transbot
Version: 13.0
Config: Adhoc Conf (l10n_Ar no test)
Total time: 5m

Date Level Type Message
2021-04-29 19:12:00 INFO runbot Init build environment with config Adhoc Conf (l10n_Ar no test)
2021-04-29 19:12:00 Starting step base from config Adhoc Conf (l10n_Ar no test)
2021-04-29 19:12:00 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-29 19:12:51 INFO server odoo.modules.loading:279 1 modules loaded in 7.56s, 0 queries
2021-04-29 19:13:00 INFO server odoo.modules.loading:279 11 modules loaded in 6.27s, 0 queries
2021-04-29 19:13:01 Step base finished in 61s
2021-04-29 19:13:01 Starting step l10n_ar_all_no_test from config Adhoc Conf (l10n_Ar no test)
2021-04-29 19:13:01 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-29 19:13:51 INFO server odoo.modules.loading:279 1 modules loaded in 7.23s, 0 queries
2021-04-29 19:16:26 WARNING server odoo.modules.loading:563 Transient module states were reset
2021-04-29 19:16:26 ERROR server odoo.modules.registry:91
Failed to load registry
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/cache.py", line 85, in lookup
    r = d[key]
  File "/data/build/odoo/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/data/build/odoo/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7fda827e0d08>, 'stock_request_ux.action_product_replenish')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 563, in _tag_record
    f_val = _eval_xml(self, field, env)
  File "/data/build/odoo/odoo/tools/convert.py", line 143, in _eval_xml
    +_process("".join(etree.tostring(n, encoding='unicode') for n in node))
  File "/data/build/odoo/odoo/tools/convert.py", line 132, in _process
    self.idref[id] = self.id_get(id)
  File "/data/build/odoo/odoo/tools/convert.py", line 657, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/data/build/odoo/odoo/tools/convert.py", line 663, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1685, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-24>", line 2, in xmlid_lookup
  File "/data/build/odoo/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1674, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: stock_request_ux.action_product_replenish

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 225, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 563, in _tag_record
    f_val = _eval_xml(self, field, env)
  File "/data/build/odoo/odoo/tools/convert.py", line 143, in _eval_xml
    +_process("".join(etree.tostring(n, encoding='unicode') for n in node))
  File "/data/build/odoo/odoo/tools/convert.py", line 132, in _process
    self.idref[id] = self.id_get(id)
  File "/data/build/odoo/odoo/tools/convert.py", line 657, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/data/build/odoo/odoo/tools/convert.py", line 663, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1685, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-24>", line 2, in xmlid_lookup
  File "/data/build/odoo/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1674, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
odoo.tools.convert.ParseError: "External ID not found in the system: stock_request_ux.action_product_replenish" while parsing /data/build/ingadhoc/stock/stock_request_ux/views/product_product_views.xml:2, near
<odoo>
    <record id="product_form_view_procurement_button" model="ir.ui.view">
        <field name="name">product.product.procurement</field>
        <field name="model">product.product</field>
        <field name="inherit_id" ref="stock.product_form_view_procurement_button"/>
        <field name="arch" type="xml">
            <button name="%(action_product_replenish)d" position="attributes">
                <attribute name="invisible">True</attribute>
            </button>
        </field>
    </record>
</odoo>
2021-04-29 19:16:26 CRITICAL server odoo.service.server:1221
Failed to initialize database `02402-13-0-all_no_test`.
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/cache.py", line 85, in lookup
    r = d[key]
  File "/data/build/odoo/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/data/build/odoo/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7fda827e0d08>, 'stock_request_ux.action_product_replenish')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 563, in _tag_record
    f_val = _eval_xml(self, field, env)
  File "/data/build/odoo/odoo/tools/convert.py", line 143, in _eval_xml
    +_process("".join(etree.tostring(n, encoding='unicode') for n in node))
  File "/data/build/odoo/odoo/tools/convert.py", line 132, in _process
    self.idref[id] = self.id_get(id)
  File "/data/build/odoo/odoo/tools/convert.py", line 657, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/data/build/odoo/odoo/tools/convert.py", line 663, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1685, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-24>", line 2, in xmlid_lookup
  File "/data/build/odoo/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1674, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: stock_request_ux.action_product_replenish

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/service/server.py", line 1190, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 225, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 563, in _tag_record
    f_val = _eval_xml(self, field, env)
  File "/data/build/odoo/odoo/tools/convert.py", line 143, in _eval_xml
    +_process("".join(etree.tostring(n, encoding='unicode') for n in node))
  File "/data/build/odoo/odoo/tools/convert.py", line 132, in _process
    self.idref[id] = self.id_get(id)
  File "/data/build/odoo/odoo/tools/convert.py", line 657, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/data/build/odoo/odoo/tools/convert.py", line 663, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1685, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-24>", line 2, in xmlid_lookup
  File "/data/build/odoo/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/data/build/odoo/odoo/addons/base/models/ir_model.py", line 1674, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
odoo.tools.convert.ParseError: "External ID not found in the system: stock_request_ux.action_product_replenish" while parsing /data/build/ingadhoc/stock/stock_request_ux/views/product_product_views.xml:2, near
<odoo>
    <record id="product_form_view_procurement_button" model="ir.ui.view">
        <field name="name">product.product.procurement</field>
        <field name="model">product.product</field>
        <field name="inherit_id" ref="stock.product_form_view_procurement_button"/>
        <field name="arch" type="xml">
            <button name="%(action_product_replenish)d" position="attributes">
                <attribute name="invisible">True</attribute>
            </button>
        </field>
    </record>
</odoo>
2021-04-29 19:16:45 Step l10n_ar_all_no_test finished in 4m
2021-04-29 19:16:45 Starting step setup from config Adhoc Conf (l10n_Ar no test)
2021-04-29 19:16:45 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-29 19:17:11 INFO runbot Step setup finished in 26s
2021-04-29 19:17:11 Starting step run from config Adhoc Conf (l10n_Ar no test)
2021-04-29 19:17:11 INFO runbot Start running build 02402-13-0
2021-04-29 19:17:11 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-29 19:17:52 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-04-29 19:17:53 INFO server odoo.modules.loading:279 11 modules loaded in 0.08s, 0 queries
2021-04-30 15:13:08 INFO runbot Kill build 02402-13-0